=== debian/changelog ===
nvidia-settings (460.32.03-1) unstable; urgency=medium

  * New upstream release 460.32.03.
  * New upstream release 460.27.04.
    - Fixed a bug with the SLI Mosaic Mode configuration dialog in
      nvidia-settings that left displays enabled when they were not needed in
      the selected configuration.
    - Removed the MetaMode string truncation warning for older X Servers when
      saving the X Configuration file from nvidia-settings.
  * Refresh patches.
  * NVCtrlLib.h is only usable after including X11/Xlib.h.  (Closes: #978192)
  * Restore hardening flags.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 12 Jan 2021 15:42:37 +0100
