=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,7 @@
 export PREFIX		 = /usr
 export DO_STRIP		 =
 export CC_ONLY_CFLAGS	 = $(CPPFLAGS)
+export HOST_CC_ONLY_CFLAGS	 = $(CPPFLAGS)
 # reproducible builds: instead of _out/$(uname)_($uname -m) use a fixed directory
 export OUTPUTDIR	 = _out/debian
 
@@ -79,9 +80,6 @@
 		-V'nvidia:VariantDesc=$(variant_description)' \
 		-V'nvidia:Version=$(NVIDIA_RELEASE)'
 
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
 # used by dpkg-genchanges
 debian/substvars:
 	echo 'nvidia:VariantDesc=$(variant_description)' > $@
