## nvidia-settings 460.39

=== debian/changelog ===
nvidia-settings (460.39-0ubuntu0.20.10.1) groovy; urgency=medium

  * New upstream release.
  * debian/patches/link-order.diff,
    debian/patches/12_nostrip.patch,
    debian/patches/05_add_polkit_support.patch,
    debian/patches/06_remove_local_prefix.patch,
    debian/patches/07_remove_features_for_legacy.patch
    debian/patches/08_add_prime_support.patch
    debian/patches/10_legacy_vdpau.patch
    debian/patches/11_link_as-needed.patch
    debian/patches/13_libxnvctrl_so_0.patch
    debian/patches/15_clean.patch:
    - Refresh patches.
  * debian/patches/series:
    - Drop 16_gzip-n.patch.
  * debian/patches/08_add_prime_support.patch:
    - Refresh and add support for a progress dialog
      (LP: #1915003).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 03 Feb 2021 18:09:00 +0100

nvidia-settings (440.82-0ubuntu1) groovy; urgency=medium

  * New upstream release.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 01 Jun 2020 11:10:39 +0200

nvidia-settings (440.64-0ubuntu1) focal; urgency=medium

  * New upstream release.
  * debian/rules, debian/rules.defs:
    - Add initial support for downloading the original tarball.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 11 Mar 2020 14:52:57 +0100

nvidia-settings (440.44-0ubuntu1) focal; urgency=medium

  * New upstream release.
  * debian/patches/08_add_prime_support.patch:
    - Refresh and make on-demand mode optional.
      This makes the same patch work on systems where
      on-demand mode is not available yet.
  * debian/patches/05_add_polkit_support.patch,
    debian/patches/06_remove_local_prefix.patch,
    debian/patches/07_remove_features_for_legacy.patch,
    debian/patches/08_add_prime_support.patch,
    debian/patches/10_legacy_vdpau.patch,
    debian/patches/11_link_as-needed.patch,
    debian/patches/12_nostrip.patch,
    debian/patches/13_libxnvctrl_so_0.patch,
    debian/patches/15_clean.patch,
    debian/patches/16_gzip-n.patch,
    debian/patches/link-order.diff:
    - Refresh patches.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 29 Jan 2020 12:13:52 +0100
