## nvidia-settings 460.56

=== debian/changelog ===
nvidia-settings (460.56-1) unstable; urgency=medium

  * New upstream release 460.56.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 01 Mar 2021 10:03:33 +0100
