## nvidia-settings 460.73.01

=== debian/changelog ===
nvidia-settings (460.73.01-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * New upstream release 460.73.01.

  [ Pino Toscano ]
  * Install nvidia-settings.png in the hicolor icon theme, rather than the
    legacy pixmaps location.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 25 May 2021 09:45:09 +0200
