=== debian/rules ===
--- 
+++ 
@@ -65,7 +65,8 @@
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp
 	install -m 0755 samples/$(OUTPUTDIR)/nv-control-dpy debian/tmp/usr/bin/
-	install -m 0644 doc/nvidia-settings.png debian/tmp/nvidia-settings$(-variant).png
+	install -d -m 0755 debian/tmp/usr/share/icons/hicolor/128x128/apps/
+	install -m 0644 doc/nvidia-settings.png debian/tmp/usr/share/icons/hicolor/128x128/apps/nvidia-settings$(-variant).png
 endif
 
 execute_after_dh_auto_clean:
