## nvidia-settings 460.91.03

=== debian/changelog ===
nvidia-settings (460.91.03-1) unstable; urgency=medium

  * New upstream release 460.91.03.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 26 Jul 2021 12:36:00 +0200
