=== debian/control ===
--- 
+++ 
@@ -71,6 +71,7 @@
 Multi-Arch: same
 Depends:
  libxnvctrl0 (= ${binary:Version}),
+ libx11-dev,
  ${misc:Depends}
 Description: NV-CONTROL X extension (development files)
  The NV-CONTROL X extension provides a mechanism for X clients to
