=== src/Makefile ===
--- 
+++ 
@@ -242,6 +242,7 @@
 
 define BINARY_DATA_HEADER_RULE
   $$(OUTPUTDIR)/$(notdir $(1)).h:
+	$(at_if_quiet)$(MKDIR) $$(OUTPUTDIR)
 	$(at_if_quiet){ \
 	  $$(PRINTF) "extern const char _binary_$(subst .,_,$(notdir $(1)))_start[];\n"; \
 	  $$(PRINTF) "extern const char _binary_$(subst .,_,$(notdir $(1)))_end[];\n"; \
