=== debian/changelog ===
nvidia-settings (470.57.01-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release (LP: #1933980).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 12 Jul 2021 16:52:10 +0200

nvidia-settings (465.31-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release (LP: #1931131).
  * debian/patches/12_nostrip.patch,
    debian/patches/14_nvidia-settings.desktop.patch:
    - Refresh the patches.
  * debian/compat, debian/control:
    - Depend on debhelper 10 and update standards.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 14 Jun 2021 13:56:49 +0200

nvidia-settings (460.73.01-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release (LP: #1925522).
  * debian/patches/08_add_prime_support.patch:
    - Stop the timeout after the child is done. This fixes an error
      that g_type_check_instance_is_a() was throwing.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 05 May 2021 15:48:47 +0200

nvidia-settings (460.39-0ubuntu0.18.04.2) bionic; urgency=medium

  * debian/patches/13_libxnvctrl_so_0.patch:
    - Put -fPIC back in for XNVCTRL_CFLAGS.
      This is only needed in bionic, and was accidentally
      dropped.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 04 Mar 2021 13:00:10 +0100

nvidia-settings (460.39-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release.
  * debian/patches/link-order.diff,
    debian/patches/12_nostrip.patch,
    debian/patches/05_add_polkit_support.patch,
    debian/patches/06_remove_local_prefix.patch,
    debian/patches/07_remove_features_for_legacy.patch
    debian/patches/08_add_prime_support.patch
    debian/patches/10_legacy_vdpau.patch
    debian/patches/11_link_as-needed.patch
    debian/patches/13_libxnvctrl_so_0.patch
    debian/patches/15_clean.patch:
    - Refresh patches.
  * debian/patches/series:
    - Drop 16_gzip-n.patch.
  * debian/patches/08_add_prime_support.patch:
    - Refresh and add support for a progress dialog
      (LP: #1915003).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 04 Feb 2021 10:59:39 +0100

nvidia-settings (440.82-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release (LP: #1881137).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 01 Jun 2020 11:23:34 +0200

nvidia-settings (440.44-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release (LP: #1854485).
  * debian/patches/13_libxnvctrl_so_0.patch:
    - Add -fPIC to the XNVCTRL_CFLAGS.
      This seems to be needed only in 18.04.
  * debian/patches/08_add_prime_support.patch:
    - Refresh and make on-demand mode optional.
      This makes the same patch work on systems where
      on-demand mode is not available yet.
  * debian/patches/05_add_polkit_support.patch,
    debian/patches/06_remove_local_prefix.patch,
    debian/patches/07_remove_features_for_legacy.patch,
    debian/patches/08_add_prime_support.patch,
    debian/patches/10_legacy_vdpau.patch,
    debian/patches/11_link_as-needed.patch,
    debian/patches/12_nostrip.patch,
    debian/patches/13_libxnvctrl_so_0.patch,
    debian/patches/15_clean.patch,
    debian/patches/16_gzip-n.patch,
    debian/patches/link-order.diff:
    - Refresh patches.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 29 Jan 2020 12:34:53 +0100

nvidia-settings (390.77-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release.
  * 08_add_prime_support.patch:
    - Recommend a simple log out (LP: #1778011).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 02 Aug 2018 16:30:52 +0200
