=== debian/rules ===
#!/usr/bin/make -f
#
# Copyright (C) 2009 Canonical Ltd.

PKG_name    := nvidia-settings

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export NV_USE_BUNDLED_LIBJANSSON = 0

build: build-arch
build-arch:
	$(MAKE) -C src/libXNVCtrl EXTINCSRC=/usr/include/X11/extensions \
		CFLAGS="$(CFLAGS) -fPIC"
	$(MAKE)

clean:
	-$(MAKE) -C src/libXNVCtrl clean 2>/dev/null
	-$(MAKE) clean
	if [ -e src/XF86Config-parser/Makefile ]; then \
		$(MAKE) -C src/XF86Config-parser clean; \
	fi

	rm -Rf $(CURDIR)/_out */_out

	dh clean

binary-arch:
	#dh_auto_install -- prefix=$(CURDIR)/debian/$(PKG_name)$(PKG_libdir)
	$(MAKE) PREFIX=$(CURDIR)/debian/$(PKG_name)/usr install

	#Run the normal stuff
	dh binary-arch

binary: binary-arch binary-indep ;
	#Run the normal stuff
	dh binary

override_dh_compress:
	dh_compress --exclude=.c --exclude=.mk

override_dh_gencontrol:
	set -ex; \
	if [ -f debian/nvidia-settings.substvars ]; then \
		sed -ri -e 's/(^[^:]*:Depends=)/\1 GTK3 | GTK2, /' \
			-e 's/(GTK2)(.*)(libgtk2.0-0 \([^\)]*\))/\3\2/' \
			-e 's/(GTK3)(.*)(libgtk-3-0 \([^\)]*\))/\3\2/' \
			debian/nvidia-settings.substvars ; \
		! grep GTK debian/nvidia-settings.substvars ; \
	fi
	dh_gencontrol

override_dh_installexamples:
	dh_installexamples -X"_out" -a

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/$(PKG_name)

override_dh_usrlocal:
	rm -Rf $(CURDIR)/debian/$(PKG_name)/usr/local

%:
	dh $@
