## nvidia-settings 470.57.02

=== debian/changelog ===
nvidia-settings (470.57.02-2~ab11+1) bullseye-ab-unstable; urgency=medium

  * Automated port via mini-buildd (no changes). Original DSC's SHA1:
    7f5362667d560825b4562bbdc015a92df5056727.
  * External port from: https://deb.debian.org/debian/pool/main/n/nvidia-
    settings/nvidia-settings_470.57.02-2.dsc
  * MINI_BUILDD_OPTION: ignore-lintian=true

 -- mini-buildd archive hellfield <mini-buildd@hellfield.olx.intra>  Mon, 01 Nov 2021 16:52:52 +0100

nvidia-settings (470.57.02-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 02 Aug 2021 13:17:32 +0200

nvidia-settings (470.57.02-1) experimental; urgency=medium

  * New upstream release 470.57.02.
    - Updated the nvidia-settings command line interface to confirm successful
      assignment of string attributes. This makes the behavior more consistent
      with other types of attribute assignments.
  * New upstream release 470.42.01.
    - Updated GPU fan control to be available by default in
      nvidia-settings and NV-CONTROL, for GPU boards that support
      programmable fan control.  Previously, this was only available
      when bit 2 was set in the "Coolbits" X config option.
  * New upstream release 465.19.01.
    - Updated the nvidia-settings control panel to be more consistent about
      displaying layout controls which are only applicable for some displays
      or GPUs connected to the system.
  * Refresh patches.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 26 Jul 2021 14:57:05 +0200
